Email Settings
Disable email sending
POST
Permission: email.manage
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidSuccessful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/email-settings/disable"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "active_provider": null, "provider": null, "providers": { "property1": { "api_key": "***", "key_set": true, "key_last4": "string", "key_source": "option", "from_email": "string", "from_name": "string", "domain": null }, "property2": { "api_key": "***", "key_set": true, "key_last4": "string", "key_source": "option", "from_email": "string", "from_name": "string", "domain": null } }, "enabled": true, "plugin_installed": true, "last_synced_at": null, "stale": true }}